BaseEmitterBean (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class BaseEmitterBean

    java.lang.Object
      javax.management.StandardMBean
          org.hibernate.cache.ehcache.management.impl.BaseEmitterBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, NotificationEmitter

Direct Known Subclasses:
  EhcacheHibernate, EhcacheStatsImpl, HibernateStatsImpl

    public abstract class BaseEmitterBean

extends StandardMBean
implements NotificationEmitter

Field Summary
`protected org.hibernate.cache.ehcache.management.impl.BaseEmitterBean.Emitter` | `emitter` emitter
`protected AtomicLong` | `sequenceNumber` sequenceNumber

Constructor Summary
`protected` | `BaseEmitterBean(Class<T> mbeanInterface)` BaseEmitterBean

Method Summary
`void` | `addNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `dispose()` Dispose of this SampledCacheManager and clean up held resources
`protected abstract void` | `doDispose()` Dispose callback of subclasses
`abstract MBeanNotificationInfo[]` | `getNotificationInfo()`
`void` | `removeNotificationListener(NotificationListener listener)`
`void` | `removeNotificationListener(NotificationListener notif, NotificationFilter filter, Object callBack)`
`void` | `sendNotification(String eventType)` sendNotification
`void` | `sendNotification(String eventType, Object data)` sendNotification
`void` | `sendNotification(String eventType, Object data, String msg)` sendNotification

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emitter

    protected final org.hibernate.cache.ehcache.management.impl.BaseEmitterBean.Emitter emitter

  emitter

### sequenceNumber

    protected final AtomicLong sequenceNumber

  sequenceNumber

Constructor Detail

### BaseEmitterBean

    protected BaseEmitterBean(Class<T> mbeanInterface)
                       throws NotCompliantMBeanException

  BaseEmitterBean

  Type Parameters:
    `T` -
  Parameters:
    `mbeanInterface` -
  Throws:
    `NotCompliantMBeanException`

Method Detail

### sendNotification

    public void sendNotification(String eventType)

  sendNotification

  Parameters:
    `eventType` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data)

  sendNotification

  Parameters:
    `eventType` -
    `data` -

### sendNotification

    public void sendNotification(String eventType,
                                 Object data,
                                 String msg)

  sendNotification

  Parameters:
    `eventType` -
    `data` -
    `msg` -

### dispose

    public final void dispose()

  Dispose of this SampledCacheManager and clean up held resources

### doDispose

    protected abstract void doDispose()

  Dispose callback of subclasses

### addNotificationListener

    public void addNotificationListener(NotificationListener notif,
                                        NotificationFilter filter,
                                        Object callBack)

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### getNotificationInfo

    public abstract MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  See Also:
    `NotificationBroadcaster.getNotificationInfo()`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationBroadcaster.removeNotificationListener(javax.management.NotificationListener)`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener notif,
                                           NotificationFilter filter,
                                           Object callBack)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Throws:
    `ListenerNotFoundException`
  See Also:
    `NotificationEmitter.removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.